#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#


%define rel 1

Name: cantor
Summary: KDE Interface for doing Mathematics and Scientific Computing
Version: 4.10.2
Release: %mkrel %{rel}
Group: Sciences/Mathematics
License: GPLv2
URL: http://www.kde.org/applications/education/cantor/
Source: ftp://ftp.kde.org/pub/kde/stable/%version/src/%{name}-%version.tar.xz

# Branch patches 100->200

# Trunk patches 200->300

# Mageia patches 500->600

Patch500: kdeedu-4.6.90-cantor-rpath.patch

BuildRequires: kdelibs4-devel >= 2:%{version}
BuildRequires: pkgconfig(libR)
BuildRequires: pkgconfig(libspectre)
BuildRequires: pkgconfig(libqalculate)
BuildRequires: analitza-devel
Suggests: cantor-handbook

%description
Cantor is a KDE Application aimed to provide a nice interface
for doing Mathematics and Scientific Computing. It doesn't implement
its own Computation Logic, but instead is built around different
Backends.

%files
%_kde_bindir/cantor
%_kde_bindir/cantor_rserver
%_kde_libdir/kde4/cantor_advancedplotassistant.so
%_kde_libdir/kde4/cantor_creatematrixassistant.so
%_kde_libdir/kde4/cantor_differentiateassistant.so
%_kde_libdir/kde4/cantor_eigenvaluesassistant.so
%_kde_libdir/kde4/cantor_eigenvectorsassistant.so
%_kde_libdir/kde4/cantor_helppanelplugin.so
%_kde_libdir/kde4/cantor_integrateassistant.so
%_kde_libdir/kde4/cantor_invertmatrixassistant.so
%_kde_libdir/kde4/cantor_kalgebrabackend.so
%_kde_libdir/kde4/cantor_maximabackend.so
%_kde_libdir/kde4/cantor_nullbackend.so
%_kde_libdir/kde4/cantor_octavebackend.so
%_kde_libdir/kde4/cantor_plot2dassistant.so
%_kde_libdir/kde4/cantor_plot3dassistant.so
%_kde_libdir/kde4/cantor_qalculatebackend.so
%_kde_libdir/kde4/cantor_qalculateplotassistant.so
%_kde_libdir/kde4/cantor_rbackend.so
%_kde_libdir/kde4/cantor_runscriptassistant.so
%_kde_libdir/kde4/cantor_sagebackend.so
%_kde_libdir/kde4/cantor_scilabbackend.so
%_kde_libdir/kde4/cantor_solveassistant.so
%_kde_libdir/kde4/cantor_variablemanagerplugin.so
%_kde_libdir/kde4/libcantorpart.so
%_kde_libdir/libcantor_config.so
%_kde_datadir/applications/kde4/cantor.desktop
%_kde_appsdir/cantor
%_kde_iconsdir/*/*/apps/cantor.*
%_kde_iconsdir/*/*/apps/maximabackend.png
%_kde_iconsdir/*/*/apps/octavebackend.png
%_kde_iconsdir/*/*/apps/rbackend.png
%_kde_iconsdir/*/*/apps/sagebackend.png
%_kde_iconsdir/hicolor/*/apps/qalculatebackend.png
%_kde_iconsdir/hicolor/*/apps/scilabbackend.png
%_kde_configdir/cantor*.knsrc
%_kde_datadir/config.kcfg/cantor.kcfg
%_kde_datadir/config.kcfg/cantor_libs.kcfg
%_kde_datadir/config.kcfg/octavebackend.kcfg
%_kde_datadir/config.kcfg/maximabackend.kcfg
%_kde_datadir/config.kcfg/qalculatebackend.kcfg
%_kde_datadir/config.kcfg/rserver.kcfg
%_kde_datadir/config.kcfg/sagebackend.kcfg
%_kde_datadir/config.kcfg/scilabbackend.kcfg
%_kde_services/cantor
%_kde_servicetypes/cantor_assistant.desktop
%_kde_servicetypes/cantor_backend.desktop
%_kde_servicetypes/cantor_panelplugin.desktop

#------------------------------------------------------------------------------

%package handbook
Summary: Cantor Handbook
Conflicts: cantor < 4.7.1
BuildArch: noarch
Group: Documentation

%description handbook
This package provides cantor handbook

%files handbook
%doc README TODO
%docdir %_kde_docdir/HTML/
%_kde_docdir/HTML/en/cantor

#------------------------------------------------------------------------------

%define cantorlibs_major 0
%define libcantorlibs %mklibname cantorlibs %{cantorlibs_major}

%package -n %libcantorlibs
Summary: Runtime library for cantor
Group: System/Libraries

%description -n %libcantorlibs
Runtime library for cantor

%files -n %libcantorlibs
# FIXME : Fix lib major
%_kde_libdir/libcantorlibs.so.%{cantorlibs_major}*
%_kde_libdir/libcantorlibs.so.1

#------------------------------------------------------------------------------

%package devel
Summary: Devel stuff for %{name}
Group: Development/KDE and Qt
Requires: %libcantorlibs = %version-%release
Conflicts: kdeedu4-devel < 4.6.90

%description  devel
Files needed to build applications based on %{name}.

%files devel
%_kde_libdir/libcantorlibs.so
%_kde_includedir/%{name}

#------------------------------------------------------------------------------

%prep
%setup -q
%apply_patches

%build
export LD=/usr/bin/ld.gold
%cmake_kde4  -DKDE4_ENABLE_FINAL=OFF
%make

%install
rm -fr %buildroot
%makeinstall_std -C build


%changelog

* Tue Apr 02 2013 mikala <mikala> 4.10.2-1.mga3
+ Revision: 407221
- Update tarball to KDE SC 4.10.2

* Sat Mar 09 2013 lmenut <lmenut> 4.10.1-1.mga3
+ Revision: 401833
- Update tarball to KDE SC 4.10.1

* Mon Feb 04 2013 mikala <mikala> 4.10.0-1.mga3
+ Revision: 394392
- Update tarball to KDE SC 4.10.0
- Update tarball to KDE SC 4.9.98 aka KDE SC 4.10 RC3

* Fri Jan 11 2013 umeabot <umeabot> 4.9.97-2.mga3
+ Revision: 347393
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 05 2013 mikala <mikala> 4.9.97-1.mga3
+ Revision: 339470
- Update tarball to KDE SC 4.9.97 aka KDE SC 4.10 RC2

* Mon Dec 24 2012 mikala <mikala> 4.9.95-1.mga3
+ Revision: 334553
- Update tarball to KDE SC 4.9.95 aka KDE SC 4.10 RC1

* Wed Dec 05 2012 mikala <mikala> 4.9.90-1.mga3
+ Revision: 326755
- Update tarball to KDE SC 4.9.90 aka KDE SC 4.10 Beta2

* Wed Nov 21 2012 mikala <mikala> 4.9.80-1.mga3
+ Revision: 320312
- Update tarball to KDE SC 4.9.80 aka KDE SC 4.10 Beta1

* Wed Nov 07 2012 mikala <mikala> 4.9.3-1.mga3
+ Revision: 316192
- Update tarball to KDE SC 4.9.3

* Tue Oct 02 2012 mikala <mikala> 4.9.2-1.mga3
+ Revision: 301963
- Update tarball to KDE SC 4.9.2
- Fix group

* Sat Sep 08 2012 mikala <mikala> 4.9.1-1.mga3
+ Revision: 289764
- Update tarball to KDE SC 4.9.1

* Wed Aug 01 2012 mikala <mikala> 4.9.0-1.mga3
+ Revision: 277087
- Silent: Fix Source URL
- Update tarball to KDE 4.9.0

* Thu Jul 12 2012 fwang <fwang> 4.8.97-1.mga3
+ Revision: 269646
- new version 4.8.97

* Sun Jul 01 2012 shlomif <shlomif> 4.8.95-1.mga3
+ Revision: 266122
- New version 4.8.95 and some fixes.

* Fri Jun 08 2012 fwang <fwang> 4.8.4-1.mga3
+ Revision: 257248
- new version 4.8.4

* Wed Apr 04 2012 fwang <fwang> 4.8.2-1.mga2
+ Revision: 228358
- new version 4.8.2

* Thu Mar 08 2012 mikala <mikala> 4.8.1-1.mga2
+ Revision: 221459
- New upstream tarball

* Sat Jan 21 2012 mikala <mikala> 4.8.0-1.mga2
+ Revision: 199126
- Add pkgconfig(libqalculate) as BuildRequires
- Fix files list
- Updating tarball to KDE 4.8.0

* Thu Jan 05 2012 mikala <mikala> 4.7.97-1.mga2
+ Revision: 191101
- Update tarball to KDE 4.7.97

* Fri Dec 23 2011 mikala <mikala> 4.7.95-1.mga2
+ Revision: 186375
- Update tarball to KDE 4.7.95
- fix group

* Thu Dec 15 2011 mikala <mikala> 4.7.90-1.mga2
+ Revision: 181866
- Update tarball to KDE SC 4.7.90
- Fix files list
- use gold for linker

* Sun Dec 04 2011 mikala <mikala> 4.7.4-1.mga2
+ Revision: 176348
- Update tarball to KDE SC 4.7.4

* Tue Nov 01 2011 mikala <mikala> 4.7.3-1.mga2
+ Revision: 161074
- Update tarball to KDE SC 4.7.3

* Wed Oct 05 2011 mikala <mikala> 4.7.2-1.mga2
+ Revision: 151927
- Update tarball to KDE SC 4.7.2
- clean spec

* Wed Sep 07 2011 mikala <mikala> 4.7.1-1.mga2
+ Revision: 140620
- Update tarball to KDE SC 4.7.1
- Split handbook in his own package (mga #2101)
- Remove %%defattr
- Remove kdelibs4-devel as require for -devel package (already handled by autoreqprov)
- Update tarball to KDE SC 4.7.0
- use pkconfig() for buildRequires

* Mon Jul 11 2011 mikala <mikala> 4.6.95-0.mga2
+ Revision: 122351
- Update tarball to KDE 4.6.95 ( KDE SC 4.7 RC2)

* Tue Jun 28 2011 fwang <fwang> 4.6.90-1.mga2
+ Revision: 115398
- add conflicts on older package

  + mikala <mikala>
    - imported package cantor

